com.hazelcast.config

## Class QueueStoreConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.QueueStoreConfig
  - - com.hazelcast.config.QueueStoreConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class QueueStoreConfigReadOnly
      extends QueueStoreConfig

  Contains the configuration for an `QueueStore`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueStoreConfigReadOnly(QueueStoreConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueStoreConfig` | `setClassName(String className)` Deprecated.
    `QueueStoreConfig` | `setEnabled(boolean enabled)` Deprecated.
    `QueueStoreConfig` | `setFactoryClassName(String factoryClassName)` Deprecated.
    `QueueStoreConfig` | `setFactoryImplementation(QueueStoreFactory factoryImplementation)` Deprecated.
    `QueueStoreConfig` | `setProperties(Properties properties)` Deprecated.
    `QueueStoreConfig` | `setProperty(String name, String value)` Deprecated.
    `QueueStoreConfig` | `setStoreImplementation(QueueStore storeImplementation)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.QueueStoreConfig

      `equals, getAsReadOnly, getClassName, getFactoryClassName, getFactoryId, getFactoryImplementation, getId, getProperties, getProperty, getStoreImplementation, hashCode, isEnabled, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueStoreConfigReadOnly

          public QueueStoreConfigReadOnly(QueueStoreConfig config)

      Deprecated.

  - ### Method Detail

    - #### setStoreImplementation

          public QueueStoreConfig setStoreImplementation(QueueStore storeImplementation)

      Deprecated.
      Overrides:
        `setStoreImplementation` in class `QueueStoreConfig`

    - #### setEnabled

          public QueueStoreConfig setEnabled(boolean enabled)

      Deprecated.
      Overrides:
        `setEnabled` in class `QueueStoreConfig`

    - #### setClassName

          public QueueStoreConfig setClassName(String className)

      Deprecated.
      Overrides:
        `setClassName` in class `QueueStoreConfig`

    - #### setProperties

          public QueueStoreConfig setProperties(Properties properties)

      Deprecated.
      Overrides:
        `setProperties` in class `QueueStoreConfig`

    - #### setProperty

          public QueueStoreConfig setProperty(String name,
                                              String value)

      Deprecated.
      Overrides:
        `setProperty` in class `QueueStoreConfig`

    - #### setFactoryClassName

          public QueueStoreConfig setFactoryClassName(String factoryClassName)

      Deprecated.
      Overrides:
        `setFactoryClassName` in class `QueueStoreConfig`

    - #### setFactoryImplementation

          public QueueStoreConfig setFactoryImplementation(QueueStoreFactory factoryImplementation)

      Deprecated.
      Overrides:
        `setFactoryImplementation` in class `QueueStoreConfig`

Copyright © 2020. All rights reserved.